List rooms with ABAC attributes

Prev Next
Get
/api/v1/abac/rooms
  • Lists rooms with ABAC attributes.
  • Returns a paginated list of rooms that have ABAC attributes configured, with optional filtering by room name, attribute key, or attribute value using the filter and filterType query parameters.
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Query parameters
offset
number

Pagination offset (default 0)

count
number

Page size (default 25)

filter
string

Search text

filterType
string

One of: all, roomName, attribute, value

Responses
200

OK

Success
{
  "success": true,
  "rooms": [
    {
      "_id": "ROOM_ID",
      "name": "private-room",
      "t": "p",
      "abacAttributes": [
        {
          "key": "my_department",
          "values": [
            "eng",
            "sales"
          ]
        }
      ]
    }
  ],
  "offset": 0,
  "count": 25,
  "total": 1
}
Expand All
object
success
boolean
rooms
Array of object
object
_id
string
name
string
t
string
abacAttributes
Array of object
object
key
string
values
Array of string
string
offset
integer
count
integer
total
integer
400

Bad Request

Invalid query
{
  "success": false,
  "error": "error-invalid-query-parameters"
}
object
success
boolean
error
string
401

Unauthorized

Unauthorized login attempt
{
  "success": false,
  "error": "error-unauthorized"
}
object
success
boolean
error
string
403

Forbidden

No "abac-management"
{
  "success": false,
  "error": "error-not-authorized"
}
object
success
boolean
error
string